# Class TrimmingColumnNode

java.lang.Object
org.apache.cayenne.access.sqlbuilder.sqltree.Node
org.apache.cayenne.access.sqlbuilder.sqltree.TrimmingColumnNode

Direct Known Subclasses:
  `H2TrimmingColumnNode, SQLServerColumnNode`

public class TrimmingColumnNode extends Node

Since:
  4.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ColumnNode`
  `columnNode`

  ### Fields inherited from class Node

  `children, childrenCount, parent, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrimmingColumnNode(ColumnNode columnNode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SQLAppendable`
  `append(SQLAppendable buffer, SQLGenerationContext context)`
  `protected void`
  `appendAlias(SQLAppendable buffer, boolean isResult)`
  `protected void`
  `appendClobColumnNode(SQLAppendable buffer, SQLGenerationContext context)`
  `protected void`
  `appendColumnNode(SQLAppendable buffer, SQLGenerationContext context)`
  `protected void`
  `appendRtrim(SQLAppendable buffer, SQLGenerationContext context)`
  `Node`
  `copy()`
  `boolean`
  `equals(Object o)`
  `protected int`
  `getColumnSize()`
  `int`
  `hashCode()`
  `protected boolean`
  `isAllowedForTrimming()`
  `protected boolean`
  `isInsertOrUpdateSet()`
  `protected boolean`
  `isParentOfType(NodeType nodeType)`
  `protected boolean`
  `isResultNode()`

  ### Methods inherited from class Node

  `addChild, addChild, appendChildrenEnd, appendChildrenSeparator, appendChildrenStart, deepCopy, deepEquals, getChild, getChildrenCount, getParent, getType, replaceChild, setParent, toString, visit`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### columnNode

    protected final ColumnNode columnNode

- ## Constructor Details

  - ### TrimmingColumnNode

    public TrimmingColumnNode(ColumnNode columnNode)

- ## Method Details

  - ### append

    public SQLAppendable append(SQLAppendable buffer, SQLGenerationContext context)
    Specified by:
      `append` in class `Node`

  - ### appendRtrim

    protected void appendRtrim(SQLAppendable buffer, SQLGenerationContext context)

  - ### isAllowedForTrimming

    protected boolean isAllowedForTrimming()

  - ### isResultNode

    protected boolean isResultNode()

  - ### isInsertOrUpdateSet

    protected boolean isInsertOrUpdateSet()

  - ### isParentOfType

    protected boolean isParentOfType(NodeType nodeType)

  - ### appendClobColumnNode

    protected void appendClobColumnNode(SQLAppendable buffer, SQLGenerationContext context)

  - ### appendColumnNode

    protected void appendColumnNode(SQLAppendable buffer, SQLGenerationContext context)

  - ### appendAlias

    protected void appendAlias(SQLAppendable buffer, boolean isResult)

  - ### getColumnSize

    protected int getColumnSize()

  - ### copy

    public Node copy()
    Specified by:
      `copy` in class `Node`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Node`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Node`